library(shiny)
library(shinyjs)
library(shinydashboard)
#library("wesanderson") # ayyyy lmao hipster af
library(dplyr)
library(DT)
library(ggplot2)
library(grid) # for the info box
library(plotly)
library(shinycssloaders)
library(NGLVieweR)
library(httr)
library(readr)
library(RCurl)
dashboardPage(skin="purple",
                 dashboardHeader(title="Tuberculosis Host"),
                 dashboardSidebar(
                   radioButtons("gene",
                                label="Gene",
                                choices = genes$Gene,
                                selected="alr" # "alr" is a value
                   ),
                   actionButton("clear_ngl",
                                "Reset Structures"),
                   actionButton("all_mutations",
                                "All Mutations")
                 ),
                 dashboardBody(
                   useShinyjs(),
                   fluidRow(
                     box(
                       title="Crystallised Structure",
                       width=5,
                       column(
                         NGLVieweROutput("structure"),
                         width=12
                       ) 
                     ),
                     box(
                       title="AlphaFold Structure",
                       width=5,
                       column(
                         NGLVieweROutput("af_structure"),
                         width=12
                       )
                     ),
                     box(
                       title="Mutation Information",
                       width=2,
                       column(
                         htmlOutput("information"),
                         width=12
                       )
                     )
                   ),
                   fluidRow(
                     column(
                       DT::dataTableOutput('table'),
                       width=12
                     )
                   ),
                   verbatimTextOutput("debug")
                 )
)

